Typescript (SDK)
import { Autumn } from 'autumn-js'
const autumn = new Autumn()
const result = await autumn.invoices.listTemplates({});from autumn_sdk import Autumn
autumn = Autumn(secret_key="am_sk_test...")
res = autumn.invoices.list_templates(offset=0, limit=10)curl --request POST \
--url https://api.useautumn.com/v1/invoices.listTemplates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"limit": 10,
"offset": 0
}
'{
"list": [
{
"id": "inv_tmpl_2b3c4d5e6f7g8h",
"name": "Bank transfer",
"footer": "Pay by wire to IBAN GB00 EXAM 0000 0000 0000 00",
"memo": "Questions? billing@example.com",
"net_terms_days": 30,
"created_at": 1759247877000
}
],
"total": 1,
"limit": 10,
"offset": 0,
"has_more": false
}
Invoices
List Invoice Templates
Lists the organization’s invoice templates, newest first, with offset pagination. Use a template’s id as invoice_template_id when creating or reissuing an invoice.
POST
/
v1
/
invoices.listTemplates
Typescript (SDK)
import { Autumn } from 'autumn-js'
const autumn = new Autumn()
const result = await autumn.invoices.listTemplates({});from autumn_sdk import Autumn
autumn = Autumn(secret_key="am_sk_test...")
res = autumn.invoices.list_templates(offset=0, limit=10)curl --request POST \
--url https://api.useautumn.com/v1/invoices.listTemplates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"limit": 10,
"offset": 0
}
'{
"list": [
{
"id": "inv_tmpl_2b3c4d5e6f7g8h",
"name": "Bank transfer",
"footer": "Pay by wire to IBAN GB00 EXAM 0000 0000 0000 00",
"memo": "Questions? billing@example.com",
"net_terms_days": 30,
"created_at": 1759247877000
}
],
"total": 1,
"limit": 10,
"offset": 0,
"has_more": false
}
Body Parameters
Response
{
"list": [
{
"id": "inv_tmpl_2b3c4d5e6f7g8h",
"name": "Bank transfer",
"footer": "Pay by wire to IBAN GB00 EXAM 0000 0000 0000 00",
"memo": "Questions? billing@example.com",
"net_terms_days": 30,
"created_at": 1759247877000
}
],
"total": 1,
"limit": 10,
"offset": 0,
"has_more": false
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json